Ask Your Question
1

ROS2: VCS error while updating source checkout

asked 2017-07-19 15:23:26 -0600

updated 2017-07-19 15:32:02 -0600

I successfully installed ROS 2 beta 2 from source following this page. Today I tried to update my local ROS 2 source files. I followed the instructions on this page, but vcs gives me an error for each repo, when I run vcs pull src. Here comes one of the error messages:

 === src/ament/ament_cmake (git) ===
 You are not currently on a branch.
 Please specify which branch you want to merge with.
 See git-pull(1) for details.

 git pull <remote> <branch>

As I do not have much experience with vcs, I have no idea where this comes from. The "ros2.repos" file has version tags for each repo.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-07-19 16:07:17 -0600

William gravatar image

The vcs pull src command will end up going into each git repository and run git pull. The issue is that the source you originally cloned (from the installation tutorial) was setup to checkout a tag rather than a branch. You get the above message when you try to git pull from a tag (which cannot be changed over time, or should not at least).

In principle what you are doing is asking first for the "beta-2" version, which is frozen and never updated, and then you're asking it to update it. Ideally, it would still understand what "update" means in this case, but should it be to the latest master branches or to a newer "tagged release"?

If you want a source checkout that can be updated over time, then you should use this repo file when setting up the workspace initially:

https://github.com/ros2/ros2/blob/mas...

edit flag offensive delete link more

Comments

Thanks for the quick answer. I assumed, that the beta release version might have gotten fixes. But I understand the problem. Maybe I should switch to the master branch.

Andre Volk gravatar imageAndre Volk ( 2017-07-19 16:16:30 -0600 )edit

No, we're not doing patches for the beta releases. We would just do another release (maybe beta-2.1) or something if we needed to do that.

William gravatar imageWilliam ( 2017-07-19 16:20:20 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2017-07-19 15:23:26 -0600

Seen: 105 times

Last updated: Jul 19 '17